Types in Angular Progress bar component

20 Sep 20224 minutes to read

Visualize progress in different shapes (rectangle, circle, and semi-circle) to give a unique appearance to your app design.

Linear

Set type to Linear to get the linear progress bar. It also support secondary progress and different mode of progress.

import { Component, OnInit } from '@angular/core';
import { AnimationModel } from '@syncfusion/ej2-progressbar';

@Component({
    selector: 'my-app',
    template:
     `<ejs-progressbar  id='determinate' type='Linear' height='60' value=100  [animation]='animation'>
      </ejs-progressbar>
      <ejs-progressbar  id='indeterminate' type='Linear' height='60' value=20
       [isIndeterminate]='isIndeterminate' [animation]=' animation'>
      </ejs-progressbar>
     <ejs-progressbar  id='buffer' type='Linear' height='60' value=40  secondaryProgress=60
        [animation]=' animation'>
      </ejs-progressbar>
      <ejs-progressbar  id='segment' type='Linear' height='60' value=100  segmentCount=8
        [animation]=' animation'>
      </ejs-progressbar>`
})
export class AppComponent implements OnInit {
  public animation: AnimationModel;
  public isIndeterminate: boolean;
  ngOnInit(): void {
    this.animation = { enable: true, duration: 2000, delay: 0 };
    this.isIndeterminate = true;
  }
}
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import { ProgressBarModule } from '@syncfusion/ej2-angular-progressbar';

/**
 * Module
 */
@NgModule({
    imports: [
        BrowserModule, ProgressBarModule
    ],
    declarations: [AppComponent],
    bootstrap: [AppComponent],
    providers: []
})
export class AppModule { }
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';

enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);

Circular

Set type to Circular to get the circular progress bar. It also support secondary progress and different mode of progress.

import { Component, OnInit } from '@angular/core';
import { AnimationModel } from '@syncfusion/ej2-progressbar';

@Component({
    selector: 'my-app',
    template:
     `<ejs-progressbar  id='determinate' type='Circular' height='60' value=100  [animation]='animation'>
      </ejs-progressbar>
      <ejs-progressbar  id='indeterminate' type='Circular' height='60' value=20
       [isIndeterminate]='isIndeterminate' [animation]=' animation'>
      </ejs-progressbar>
     <ejs-progressbar  id='buffer' type='Circular' height='60' value=40  secondaryProgress=60
        [animation]=' animation'>
      </ejs-progressbar>
      <ejs-progressbar  id='segment' type='Circular' height='60' value=100  segmentCount=8
        [animation]=' animation'>
      </ejs-progressbar>`
})
export class AppComponent implements OnInit {
  public animation: AnimationModel;
  public isIndeterminate: boolean;
  ngOnInit(): void {
    this.animation = { enable: true, duration: 2000, delay: 0 };
    this.isIndeterminate = true;
  }
}
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import { ProgressBarModule } from '@syncfusion/ej2-angular-progressbar';

/**
 * Module
 */
@NgModule({
    imports: [
        BrowserModule, ProgressBarModule
    ],
    declarations: [AppComponent],
    bootstrap: [AppComponent],
    providers: []
})
export class AppModule { }
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';

enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);

Types in React Progress bar component

30 Jan 20235 minutes to read

Visualize progress in different shapes (rectangle, circle, and semi-circle) to give a unique appearance to your app design.

Linear

Set type to Linear to get the linear progress bar. It also support secondary progress and different mode of progress.

import * as React from "react";
import * as ReactDOM from "react-dom";
import { ProgressBarComponent } from "@syncfusion/ej2-react-progressbar";
function App() {
    return (<ProgressBarComponent id="lineardeterminate" type="Linear" height="60" value={100} animation={{
            enable: true,
            duration: 2000,
            delay: 0
        }}>
          </ProgressBarComponent>);
}
;
export default App;
ReactDOM.render(<App />, document.getElementById("container"));
import * as React from "react";
import * as ReactDOM from "react-dom";
import { ProgressBarComponent } from "@syncfusion/ej2-react-progressbar";

function App() {
  return(<ProgressBarComponent
                  id="lineardeterminate"
                  type="Linear"
                  height="60"
                  value={100}
                  animation={{
                    enable: true,
                    duration: 2000,
                    delay: 0
                  }}>
          </ProgressBarComponent>
        )
};
export default App;
ReactDOM.render(<App />, document.getElementById("container"));

Circular

Set type to Circular to get the circular progress bar. It also support secondary progress and different mode of progress.

import * as React from "react";
import * as ReactDOM from "react-dom";
import { ProgressBarComponent } from "@syncfusion/ej2-react-progressbar";
function App() {
    return (<ProgressBarComponent id="circular-container" type="Circular" height="160px" value={100} animation={{
            enable: true,
            duration: 2000,
            delay: 0
        }}>
          </ProgressBarComponent>);
}
;
export default App;
ReactDOM.render(<App />, document.getElementById("container"));
import * as React from "react";
import * as ReactDOM from "react-dom";
import { ProgressBarComponent } from "@syncfusion/ej2-react-progressbar";

function App() {
  return(<ProgressBarComponent
                  id="circular-container"
                  type="Circular"
                  height="160px"
                  value={100}
                  animation={{
                    enable: true,
                    duration: 2000,
                    delay: 0
                  }}>
          </ProgressBarComponent>
        )
};
export default App;
ReactDOM.render(<App />, document.getElementById("container"));

Visualize progress in different shapes (rectangle, circle, and semi-circle) to give a unique appearance to your app design.
Set type to Linear to get the linear progress bar. It also support secondary progress and different mode of progress.
App.vue
<template>
<div id='loader'>LOADING....</div>
<div id='container'>
<div class="row linear-parent">
<div id="determinate" class="linear-progress">
<ejs-progressbar
id='determinate'
type='Linear'
height='60'
:value='value1'
:animation='animation'
>
</ejs-progressbar>
</div>
<div id="indeterminate" class="linear-progress">
<ejs-progressbar
id='indeterminate'
type='Linear'
height='60'
:value='value2'
:isIndeterminate='isIndeterminate'
>
</ejs-progressbar>
</div>
<div id="buffer" class="linear-progress">
<ejs-progressbar
id='buffer'
type='Linear'
height='60'
:value='value3'
:secondaryProgress='secondaryProgress'
:animation=' animation'
>
</ejs-progressbar>
</div>
<div id="segment" class="linear-progress">
<ejs-progressbar
id='segment'
type='Linear'
height='60'
:value='value4'
:segmentCount='count'
:animation='animation'
>
</ejs-progressbar>
</div>
</div>
</div>
</template>
<script>
import Vue from "vue";
import { Browser } from "@syncfusion/ej2-base";
import { ProgressBarPlugin } from "@syncfusion/ej2-vue-progressbar";
Vue.use(ProgressBarPlugin);
export default Vue.extend({
data: function() {
return {
value1:100,
value2:20,
value3:40,
value4:100,
isIndeterminate:true,
secondaryProgress:60,
animation: {
enable: true,
duration: 2000,
delay: 0
},
};
},
provide: {},
methods: {}
});
</script>
<style>
#loader {
color: #008cff;
height: 40px;
left: 45%;
position: absolute;
top: 45%;
width: 30%;
}
#container {
display: -webkit-box;
}
</style>
Set type to Circular to get the circular progress bar. It also support secondary progress and different mode of progress.
App.vue
<template>
<div id='loader'>LOADING....</div>
<div id='container'>
<div class="row linear-parent">
<div id="determinate" class="linear-progress">
<ejs-progressbar
id='determinate'
type='Circular'
height='60'
:value='value1'
:animation='animation'
>
</ejs-progressbar>
</div>
<div id="indeterminate" class="linear-progress">
<ejs-progressbar
id='indeterminate'
type='Circular'
height='60'
:value='value2'
:isIndeterminate='isIndeterminate'
>
</ejs-progressbar>
</div>
<div id="buffer" class="linear-progress">
<ejs-progressbar
id='buffer'
type='Circular'
height='60'
:value='value3'
:secondaryProgress='secondaryProgress'
:animation=' animation'
>
</ejs-progressbar>
</div>
<div id="segment" class="linear-progress">
<ejs-progressbar
id='segment'
type='Circular'
height='60'
:value='value4'
:segmentCount='count'
:animation='animation'
>
</ejs-progressbar>
</div>
</div>
</div>
</template>
<script>
import Vue from "vue";
import { Browser } from "@syncfusion/ej2-base";
import { ProgressBarPlugin } from "@syncfusion/ej2-vue-progressbar";
Vue.use(ProgressBarPlugin);
export default Vue.extend({
data: function() {
return {
value1:100,
value2:20,
value3:40,
value4:100,
isIndeterminate:true,
secondaryProgress:60,
animation: {
enable: true,
duration: 2000,
delay: 0
},
};
},
provide: {},
methods: {}
});
</script>
<style>
#loader {
color: #008cff;
height: 40px;
left: 45%;
position: absolute;
top: 45%;
width: 30%;
}
#container {
display: -webkit-box;
}
</style>